CREATE TABLE her_building_tl (
    BUILDING_ID              NUMBER(18, 0) ,
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    BUILDING_NAME            VARCHAR2(400)     NOT NULL,
    BUILDING_DESCRIPTION     VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    BUILDING_ID              NUMBER(18, 0) ,
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    BUILDING_NAME            VARCHAR2(400)     NOT NULL,
    BUILDING_DESCRIPTION     VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_her_building_tl PRIMARY KEY (BUILDING_ID, LANGUAGE, BUILDING_ID, LANGUAGE)
);
